package com.iamberry.wechat.core.entity.eo;

import java.io.Serializable;
import java.util.Date;

/**
 *  秒杀类
 * @author Administrator
 * @Date 2019-10-21
 */
public class Spike  implements  Serializable{
    private static final long serialVersionUID = -2749553830069392383L;
    //秒杀id
    private Integer spikeId;
    //活动id
    private Integer promotionsId;
    //满足颜色id
    private Integer spikeColorId;
    //
    private Integer spikePrice;
    //
    private Integer spikeDiscount;
    //状态 1.使用中 2.未使用
    private String spikeStatus;
    //创建时间'
    private Date spikeCreateTime;

    public Integer getSpikeId(){
        return spikeId;
    }

    public void setSpikeId(Integer  spikeId){
        this.spikeId=spikeId;
    }

    public Integer getPromotionsId(){
        return promotionsId;
    }

    public void setPromotionsId(Integer  promotionsId){
        this.promotionsId=promotionsId;
    }

    public Integer getSpikeColorId(){
        return spikeColorId;
    }

    public void setSpikeColorId(Integer  spikeColorId){
        this.spikeColorId=spikeColorId;
    }

    public Integer getSpikePrice(){
        return spikePrice;
    }

    public void setSpikePrice(Integer  spikePrice){
        this.spikePrice=spikePrice;
    }

    public Integer getSpikeDiscount() {
        return spikeDiscount;
    }

    public void setSpikeDiscount(Integer spikeDiscount) {
        this.spikeDiscount = spikeDiscount;
    }

    public String getSpikeStatus(){
        return spikeStatus;
    }

    public void setSpikeStatus(String  spikeStatus){
        this.spikeStatus=spikeStatus;
    }

    public Date getSpikeCreateTime(){
        return spikeCreateTime;
    }

    public void setSpikeCreateTime(Date  spikeCreateTime){
        this.spikeCreateTime=spikeCreateTime;
    }
}